function printExternalHTML(url) {
    var printWindow = window.open(url, 'Print', 'left=200, top=200, width=950, height=500, toolbar=0, resizable=0');

    printWindow.addEventListener('load', function() {
        if (Boolean(printWindow.chrome)) {
            printWindow.print();
            setTimeout(function(){
                printWindow.close();
            }, 500);
        } else {
            printWindow.print();
            printWindow.close();
        }
    }, true);
}

function getHTML(url){
    html = null;
    $.ajax({
        url: url,
        async: false,
        success: function (data) {
            console.log(data);
            html = data;
        }
    });
    return html;
}


function printExternalPDF(url) {
    var html = getHTML(url);
    var pdf = new jsPDF();
    margins = {
        top: 80,
        bottom: 60,
        left: 40,
        width: 522
    };
    pdf.fromHTML(
        html,
        margins.left,
        margins.top, {
            'width': margins.width
        }
    ),
    pdf.save();
}
